/**
 *
 */
package com.foc.push.entity;

import java.util.Date;

/**
 * 
 * @team IT Team
 * @author renmb
 * @version 1.0
 * @time  2016年12月10日
 */
public class PushConfigEntity {

    private String id;//   `id` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '用户ID',
    private String platform;//   `platform` varchar(50) COLLATE utf8_bin NOT NULL DEFAULT 'Unknown' COMMENT '应用平台 Android iOS HTML5 Weixin',
    private String appCode;//   `app_code` varchar(50) COLLATE utf8_bin NOT NULL DEFAULT '0000' COMMENT 'APP唯一编号 0000为后端注册用户',
    private String appKey;//   `app_key` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '应用KEY 自动生成',
    private String appName;//   `app_name` varchar(100) COLLATE utf8_bin NOT NULL COMMENT '应用名称',
    private String appToken;//   `app_token` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '推送秘钥',
    private String appDesc;//   `app_desc` varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '项目描述描述',
    private boolean isProduction;//   `is_production` tinyint(1) DEFAULT '1' COMMENT '推送模式（iOS独有） 1 生产模式 0 调试模式',
    private int status;//   `status` tinyint(1) DEFAULT '1' COMMENT '是否被禁用 0 禁用 1 有效',
    private Date created;//   `created` datetime NOT NULL COMMENT '创建时间',
    private String deviceToken;// 设备TOKEN
    public String getId() {
        return id;
    }
    public void setId(String id) {
        this.id = id;
    }
    public String getPlatform() {
        return platform;
    }
    public void setPlatform(String platform) {
        this.platform = platform;
    }
    public String getAppCode() {
        return appCode;
    }
    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }
    public String getAppKey() {
        return appKey;
    }
    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }
    public String getAppName() {
        return appName;
    }
    public void setAppName(String appName) {
        this.appName = appName;
    }
    public String getAppToken() {
        return appToken;
    }
    public void setAppToken(String appToken) {
        this.appToken = appToken;
    }
    public String getAppDesc() {
        return appDesc;
    }
    public void setAppDesc(String appDesc) {
        this.appDesc = appDesc;
    }
    public boolean getIsProduction() {
        return isProduction;
    }
    public void setIsProduction(boolean isProduction) {
        this.isProduction = isProduction;
    }
    public int getStatus() {
        return status;
    }
    public void setStatus(int status) {
        this.status = status;
    }
    public Date getCreated() {
        return created;
    }
    public void setCreated(Date created) {
        this.created = created;
    }
    public String getDeviceToken() {
        return deviceToken;
    }
    public void setDeviceToken(String deviceToken) {
        this.deviceToken = deviceToken;
    }
}
